▼ |  | The Typed Racket Reference

1 | Type Reference
2 | Special Form Reference
3 | Libraries Provided With Typed Racket
4 | Utilities
5 | Exploring Types
6 | Typed Racket Syntax Without Type Checking
7 | Typed Regions
8 | Optimization in Typed Racket
9 | Legacy Forms
10 | Compatibility Languages
11 | Experimental Features

On this page:

Class
Instance
declare-refinement
Refinement
define-typed-struct/ exec

Version: 5.3.1
top ← prev up next →

### 11`` Experimental Features

These features are currently experimental and subject to change.

> > syntax

> > ( Class args ...)

A type constructor for typing classes created using racket/class.

> > syntax

> > ( Instance c)

A type constructor for typing objects created using racket/class.

> > syntax

> > ( declare-refinement id)

Declares id to be usable in refinement types.

> > syntax

> > ( Refinement id)

Includes values that have been tested with the predicate id, which must have been specified with declare-refinement.

> > syntax

> > ( define-typed-struct/exec forms ...)

Defines an executable structure.
top ← prev up next →